{{ product.name }}

Lara Croft GoL DLC: Raziel and Kain Character Pack

DRM

$3.49

$3.49

-{{product.discount}}%

WANTED
WANT IT

Lara Croft GoL DLC: Raziel and Kain Character Pack

$3.49

$3.49

-{{product.discount}}%

Grab a friend or go at it alone as Kain and Raziel from the Legacy of Kain games. The two iconic characters must work together to defeat a new threat in an unfamiliar world.

Read full description

Associated Products

See All
See Less

Deals

Game description

Grab a friend or go at it alone as Kain and Raziel from the Legacy of Kain games. The two iconic characters must work together to defeat a new threat in an unfamiliar world.

  • 20

  • 0

  • Rating
Publisher:
Square Enix
Developer:
Crystal Dynamics
Genres:
Adventure
Source:
Square Enix
Released:
Friday, January 7, 2011
Modes:
Languages:
English, French, German, Italian, Spanish
Headset:
{{vrNames}}
Requires Lara Croft and the Guardian of Light (base game) on Steam in order to play.
  • OS: Windows 7 / Vista / XP
  • Processor: 3+ GHz Intel or 2.5+ GHZ AMD
  • Memory: 1 GB RAM (XP) / 2 GB RAM (Vista)
  • Graphics: NVIDIA GeForce 6 Series (6800GT or better) / ATI 1300XT or better
  • Hard Drive: 7GB
  • Sound: DirectX 9.0c compatible sound card and drivers

More like this

Reviews for Lara Croft GoL DLC: Raziel and Kain Character Pack

Our users have spoken

20
Overall score based on 1 reviews

20
Overpriced DLC

This downloadable content add just 2 new characters for a ridiculous price. Maybe this is what is wrong with games - overpriced DLCs. This is something that should've been free, or as a mod. It replaces the skins for Lara and Totec, adds some mediocre voice acting, and that is it. I would advise you to keep away from this bad cosmetic DLC. Buy something better with the money. 2/10 keep away.

Load More
Load More
Thanks for review.

All reviews are moderated and may not appear on the site staight away
Thank you for your patience whilst we complete this process.

Write a review
All fields are mandatory
This field is required
This field is required